Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 10289)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
+!! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !                         AGRIF ICE configuration                      !
@@ -127,5 +127,5 @@
 &namsbc_rnf    !   runoffs                                              (ln_rnf =T)
 !-----------------------------------------------------------------------
-   ln_rnf_mouth= .true.    !  specific treatment at rivers mouths
+   ln_rnf_mouth = .true.    !  specific treatment at rivers mouths
       rn_hrnf     =  15.e0    !  depth over which enhanced vertical mixing is used    (ln_rnf_mouth=T)
       rn_avt_rnf  =   1.e-3   !  value of the additional vertical mixing coef. [m2/s] (ln_rnf_mouth=T)
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 10289)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/1_namelist_ref
+!! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/1_namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !                         AGRIF ICE configuration                      !
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 10289)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/1_namelist_ref
+!! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/1_namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !                         AGRIF ICE configuration                      !
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 10289)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
+!! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !                         AGRIF ICE configuration                      !
@@ -127,5 +127,5 @@
 &namsbc_rnf    !   runoffs                                              (ln_rnf =T)
 !-----------------------------------------------------------------------
-   ln_rnf_mouth= .true.    !  specific treatment at rivers mouths
+   ln_rnf_mouth = .true.    !  specific treatment at rivers mouths
       rn_hrnf     =  15.e0    !  depth over which enhanced vertical mixing is used    (ln_rnf_mouth=T)
       rn_avt_rnf  =   1.e-3   !  value of the additional vertical mixing coef. [m2/s] (ln_rnf_mouth=T)
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/AMM12/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/AMM12/EXPREF/namelist_cfg	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/AMM12/EXPREF/namelist_cfg	(revision 10289)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA Configuration namelist : overwrite default values defined in SHARED/namelist_ref
+!! NEMO/OCE Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !                          AMM12 configuration                         !
@@ -219,5 +219,5 @@
 &namdrg        !   top/bottom drag coefficient                          (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_loglayer= .true.     !  logarithmic drag: Cd = vkarmn/log(z/z0) |U|
+   ln_loglayer = .true.     !  logarithmic drag: Cd = vkarmn/log(z/z0) |U|
 /
 !-----------------------------------------------------------------------
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/C1D_PAPA/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 10289)
@@ -2,5 +2,5 @@
 !! NEMO/OCE :   Reference namelist_ref                                !!
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  :  1 - Domain & run manager (namrun, namcfg, namdom, namtsd, namcrs, namc1d, namc1d_uvd)
+!! NEMO/OCE  :  1 - Domain & run manager (namrun, namcfg, namdom, namtsd, namcrs, namc1d, namc1d_uvd)
 !! namelists    2 - Surface boundary (namsbc, namsbc_flx, namsbc_blk, namsbc_cpl,
 !!                                    namsbc_sas, namtra_qsr, namsbc_rnf,
@@ -81,5 +81,5 @@
    rn_lat1d    =      50   !  Column latitude
    rn_lon1d    =    -145   !  Column longitude
-   ln_c1d_locpt=  .true.   ! Localization of 1D config in a grid (T) or independant point (F)
+   ln_c1d_locpt =  .true.   ! Localization of 1D config in a grid (T) or independant point (F)
 /
 !-----------------------------------------------------------------------
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/C1D_PAPA/MY_SRC/usrdef_hgr.F90
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/C1D_PAPA/MY_SRC/usrdef_hgr.F90	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/C1D_PAPA/MY_SRC/usrdef_hgr.F90	(revision 10289)
@@ -29,6 +29,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id:$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/C1D_PAPA/MY_SRC/usrdef_nam.F90
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/C1D_PAPA/MY_SRC/usrdef_nam.F90	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/C1D_PAPA/MY_SRC/usrdef_nam.F90	(revision 10289)
@@ -34,6 +34,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id:$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/C1D_PAPA/MY_SRC/usrdef_zgr.F90
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/C1D_PAPA/MY_SRC/usrdef_zgr.F90	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/C1D_PAPA/MY_SRC/usrdef_zgr.F90	(revision 10289)
@@ -34,6 +34,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id:$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS             
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/GYRE_BFM/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/GYRE_BFM/EXPREF/namelist_cfg	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/GYRE_BFM/EXPREF/namelist_cfg	(revision 10289)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  : GYRE Configuration namelist : overwrite reference namelist
+!! NEMO/OCE  : GYRE Configuration namelist : overwrite reference namelist
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/GYRE_PISCES/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/GYRE_PISCES/EXPREF/namelist_cfg	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/GYRE_PISCES/EXPREF/namelist_cfg	(revision 10289)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite reference namelist
+!! NEMO/OCE  Configuration namelist : overwrite reference namelist
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !!                      GYRE PISCES configuration                     !!
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 10289)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
+!! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !!             ORCA2 - ICE - PISCES configuration                     !!
@@ -88,4 +88,14 @@
    nn_fwb      = 2         !  FreshWater Budget: 
    !                       !    =2 annual global mean of e-p-r set to zero
+   ln_wave     = .false.   !  Activate coupling with wave  (T => fill namsbc_wave)
+   ln_cdgw     = .false.   !  Neutral drag coefficient read from wave model (T => ln_wave=.true. & fill namsbc_wave)
+   ln_sdw      = .false.   !  Read 2D Surf Stokes Drift & Computation of 3D stokes drift (T => ln_wave=.true. & fill namsbc_wave) 
+   nn_sdrift   =  0        !  Parameterization for the calculation of 3D-Stokes drift from the surface Stokes drift
+      !                    !   = 0 Breivik 2015 parameterization: v_z=v_0*[exp(2*k*z)/(1-8*k*z)]
+      !                    !   = 1 Phillips:                      v_z=v_o*[exp(2*k*z)-beta*sqrt(-2*k*pi*z)*erfc(sqrt(-2*k*z))]
+      !                    !   = 2 Phillips as (1) but using the wave frequency from a wave model
+   ln_tauwoc   = .false.   !  Activate ocean stress modified by external wave induced stress (T => ln_wave=.true. & fill namsbc_wave)
+   ln_tauw     = .false.   !  Activate ocean stress components from wave model
+   ln_stcor    = .false.   !  Activate Stokes Coriolis term (T => ln_wave=.true. & ln_sdw=.true. & fill namsbc_wave)
 /
 !-----------------------------------------------------------------------
@@ -135,5 +145,5 @@
 &namsbc_rnf    !   runoffs                                              (ln_rnf =T)
 !-----------------------------------------------------------------------
-   ln_rnf_mouth= .true.    !  specific treatment at rivers mouths
+   ln_rnf_mouth = .true.    !  specific treatment at rivers mouths
       rn_hrnf     =  15.e0    !  depth over which enhanced vertical mixing is used    (ln_rnf_mouth=T)
       rn_avt_rnf  =   1.e-3   !  value of the additional vertical mixing coef. [m2/s] (ln_rnf_mouth=T)
@@ -149,4 +159,8 @@
    sn_t_rnf    = 'runoffs'            ,    24    , 'rotemper',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
    sn_dep_rnf  = 'runoffs'            ,     0    , 'rodepth' ,   .false.    , .true. , 'yearly'  , ''       , ''       , ''
+/
+!-----------------------------------------------------------------------
+&namsbc_wave   ! External fields from wave model                        (ln_wave=T)
+!-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_pisces_cfg
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_pisces_cfg	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_pisces_cfg	(revision 10289)
@@ -16,9 +16,9 @@
 /
 !-----------------------------------------------------------------------
-&namp4zice     !   parameters for nutrient limitations for PISCES std  - ln_p4z
+&namp4zlim     !   parameters for nutrient limitations for PISCES std  - ln_p4z
 !-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
-&namp5zice     !   parameters for nutrient limitations PISCES QUOTA    - ln_p5z
+&namp5zlim     !   parameters for nutrient limitations PISCES QUOTA    - ln_p5z
 !-----------------------------------------------------------------------
 /
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_pisces_cfg
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_pisces_cfg	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_pisces_cfg	(revision 10289)
@@ -17,9 +17,9 @@
 /
 !-----------------------------------------------------------------------
-&namp4zice     !   parameters for nutrient limitations for PISCES std  - ln_p4z
+&namp4zlim     !   parameters for nutrient limitations for PISCES std  - ln_p4z
 !-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
-&namp5zice     !   parameters for nutrient limitations PISCES QUOTA    - ln_p5z
+&namp5zlim     !   parameters for nutrient limitations PISCES QUOTA    - ln_p5z
 !-----------------------------------------------------------------------
 /
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg	(revision 10289)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
+!! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !!               ORCA2 - OFF - TRC configuration                     !!
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg	(revision 10289)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
+!! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !!                ORCA2-ICE (with SAS) configuration                  !!
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/SHARED/namelist_pisces_ref
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/SHARED/namelist_pisces_ref	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/cfgs/SHARED/namelist_pisces_ref	(revision 10289)
@@ -17,4 +17,5 @@
   ln_p5z    = .false.        !  PISCES QUOTA model used
   ln_ligand = .false.        !  Enable  organic ligands
+  ln_sediment = .false.      !  Enable sediment module
 /
 !-----------------------------------------------------------------------
@@ -49,5 +50,5 @@
    wsbio2     =  50.      ! Big particles sinking speed
    wsbio2max  =  50.      ! Big particles maximum sinking speed
-   wsbio2scale=  5000.    ! Big particles length scale of sinking
+   wsbio2scale =  5000.    ! Big particles length scale of sinking
    niter1max  =  1        ! Maximum number of iterations for POC
    niter2max  =  2        ! Maximum number of iterations for GOC
@@ -62,5 +63,5 @@
 /
 !-----------------------------------------------------------------------
-&namp4zice     !   parameters for nutrient limitations for PISCES std  - ln_p4z
+&namp4zlim     !   parameters for nutrient limitations for PISCES std  - ln_p4z
 !-----------------------------------------------------------------------
    concnno3   =  1.e-6    ! Nitrate half saturation of nanophytoplankton
@@ -86,5 +87,5 @@
 /
 !-----------------------------------------------------------------------
-&namp5zice     !   parameters for nutrient limitations PISCES QUOTA    - ln_p5z
+&namp5zlim     !   parameters for nutrient limitations PISCES QUOTA    - ln_p5z
 !-----------------------------------------------------------------------
    concnno3   =  3e-6     ! Nitrate half saturation of nanophytoplankton
@@ -370,4 +371,5 @@
    ln_hydrofe  =  .false.  ! boolean for from hydrothermal vents
    sedfeinput  =  2.e-9    ! Coastal release of Iron
+   distcoast   =  5.e3     ! Distance off the coast for Iron from sediments
    dustsolub   =  0.02     ! Solubility of the dusta
    mfrac       =  0.035    ! Fe mineral fraction of dust
